OpenTTD Source: src/fontcache.h File Reference

OpenTTD Source 14.1

Data Structures | Typedefs | Functions | Variables
fontcache.h File Reference
`#include "string_type.h"`
`#include "spritecache.h"`

Go to the source code of this file.

## Data Structures
class | FontCache
| Font cache for basic fonts. More...
struct | FontCacheSubSetting
| Settings for a single font. More...
struct | FontCacheSettings
| Settings for the four different fonts. More...

## Typedefs
typedef uint32_t | GlyphID
| Glyphs are characters from a font.

## Functions
void | SetUnicodeGlyph (FontSize size, char32_t key, SpriteID sprite)
| Map a SpriteID to the font size and key.
void | InitializeUnicodeGlyphMap ()
| Initialize the glyph map.
void | ClearFontCache ()
const Sprite * | GetGlyph (FontSize size, char32_t key)
| Get the Sprite for a glyph.
uint | GetGlyphWidth (FontSize size, char32_t key)
| Get the width of a glyph.
bool | GetDrawGlyphShadow (FontSize size)
FontCacheSubSetting * | GetFontCacheSubSetting (FontSize fs)
| Get the settings of a given font size. More...
void | InitFontCache (bool monospace)
| (Re)initialize the font cache related things, i.e. More...
void | UninitFontCache ()
| Free everything allocated w.r.t. More...
bool | HasAntialiasedFonts ()
| Should any of the active fonts be anti-aliased? More...
bool | GetFontAAState (FontSize size, bool check_blitter=true)
void | SetFont (FontSize fontsize, const std::string &font, uint size, bool aa)

## Variables
static const GlyphID | SPRITE_GLYPH = 1U << 30
FontCacheSettings | _fcsettings

## Detailed Description

Functions to read fonts from files and cache them.

Definition in file fontcache.h.

## Function Documentation

## ◆ GetFontCacheSubSetting()

FontCacheSubSetting* GetFontCacheSubSetting | ( | FontSize | fs | ) |
| inline

Get the settings of a given font size.

Parameters

  fs | The font size to look up.

Returns
  The settings.

Definition at line 232 of file fontcache.h.

Referenced by LoadCoreTextFont(), LoadFreeTypeFont(), and LoadWin32Font().

## ◆ HasAntialiasedFonts()

bool HasAntialiasedFonts | ( |  | ) |

Should any of the active fonts be anti-aliased?

Returns
  True if any of the loaded fonts want anti-aliased drawing.

Definition at line 240 of file fontcache.cpp.

References FS_BEGIN.

## ◆ InitFontCache()

void InitFontCache | ( | bool | monospace | ) |

(Re)initialize the font cache related things, i.e.

load the non-sprite fonts.

Parameters

  monospace | Whether to initialise the monospace or regular fonts.

Definition at line 197 of file fontcache.cpp.

References FS_BEGIN.

Referenced by MissingGlyphSearcher::FindMissingGlyphs(), and SetFallbackFont().

## ◆ UninitFontCache()

void UninitFontCache | ( |  | ) |

Free everything allocated w.r.t.

fonts.

Definition at line 224 of file fontcache.cpp.

References FS_BEGIN.